> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aitasker.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Import From File

> Import a form from a DOCX or PDF file.



## OpenAPI

````yaml /openapi.json post /api/v1/brief-forms/import/file
openapi: 3.1.0
info:
  title: AITasker
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/brief-forms/import/file:
    post:
      tags:
        - Brief Forms
      summary: Import From File
      description: Import a form from a DOCX or PDF file.
      operationId: import_from_file_api_v1_brief_forms_import_file_post
      parameters:
        - name: name
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Name
        - name: team_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            title: Team Id
      requestBody:
        required: true
        content:
          multipart/form-data:
            schema:
              $ref: >-
                #/components/schemas/Body_import_from_file_api_v1_brief_forms_import_file_post
      responses:
        '201':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BriefFormDetailResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    Body_import_from_file_api_v1_brief_forms_import_file_post:
      properties:
        file:
          type: string
          contentMediaType: application/octet-stream
          title: File
      type: object
      required:
        - file
      title: Body_import_from_file_api_v1_brief_forms_import_file_post
    BriefFormDetailResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        name:
          type: string
          title: Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        slug:
          type: string
          title: Slug
        user_id:
          type: string
          format: uuid
          title: User Id
        team_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Team Id
        schema_json:
          additionalProperties: true
          type: object
          title: Schema Json
        ui_schema_json:
          additionalProperties: true
          type: object
          title: Ui Schema Json
        source_type:
          type: string
          title: Source Type
        source_file_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Source File Id
        status:
          type: string
          title: Status
        is_template:
          type: boolean
          title: Is Template
        current_version:
          type: integer
          title: Current Version
        field_count:
          type: integer
          title: Field Count
          default: 0
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
      type: object
      required:
        - id
        - name
        - slug
        - user_id
        - schema_json
        - ui_schema_json
        - source_type
        - status
        - is_template
        - current_version
        - created_at
        - updated_at
      title: BriefFormDetailResponse
      description: Full form detail including schema.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````